(function () {
    'use strict';

    angular
        .module('setoresApp')
        .directive('setoresInexistentes', setoresInexistentes);

    setoresInexistentes.$inject = ['__env'];

    /* @ngInject */
    function setoresInexistentes(__env) {
        let directive = {
            restrict: 'E',
            replace: true,
            templateUrl: __env.appPath + 'scripts/components/setores-inexistentes-popover/setores-inexistentes-popover.directive.html',
            link: link,
            scope: false
        };

        return directive;

        function link(scope) {
            angular.extend(scope.vm, {
            });

            $('.table-default.table-contestacoes-pendentes').floatThead({
                scrollContainer: function($table){
                    return $table.closest('.table-responsive');
                }
            });


        }
    }
})();
